﻿namespace RadSchedulerApp.Models.Scheduler
{
    using System;
    using System.Linq.Expressions;

    public class AppointmentsResponseModel
    {
        public static Expression<Func<Appointment, AppointmentsResponseModel>> FromAppointment
        {
            get
            {
                return a => new AppointmentsResponseModel
                {
                    ID = a.ID,
                    Subject = a.Subject,
                    Start = a.Start,
                    End = a.Start
                };
            }
        }

        public int ID { get; set; }

        public string Subject { get; set; }

        public DateTime Start { get; set; }

        public DateTime End { get; set; }

        public string Description { get; set; }
    }
}